Subject: Re: [screen-devel] couple of mac building issues, patch for one

From: Micah Cowan <[email-masked]>
Date: Tue, 05 Aug 2008 14:02:48 -0700

Micah Cowan wrote:
> (My mailer is doing the quoting backwards again)
> 
> Tom Scogland wrote:
>> On Thu, Jun 26, 2008 at 12:26 PM, Micah Cowan <[email-masked]> wrote:
>> Tom Scogland wrote:
>>>>> Hi,
>>>>> I've been a screen user for a few years on linux, but when switching
>>>>> to osx as my primary os not too long ago (long story...) I found the
>>>>> current development versions wont build.  The issue was just a #ifdef
>>>>> that was checking the wrong item, patch attached. (sorry if this isn't
>>>>> the right place, given recent activity it seemed like the best idea)
>> The patch doesn't look appropriate to me. Perhaps an explicit header
>> check in configure.in would be better?
> 
>>> Admittedly it might be, but the patch seemed appropriate as 'SVR4'
>>> rather than 'HAVE_SVR4_PTYS' is used to check all 3 other inclusions
>>> of that header.  Thus my assumption was that it was a typo in pty.c
>>> that the wrong define was used, and thus a reasonable solution to make
>>> it match the 3 in process.c, screen.c and tty.c.
> 
> You're right, of course: I was informed of this later, and sure enough,
> you're right.
> 
> I like the direct check better, but I have to admit that "inappropriate"
> was a poor word to describe it.
> 
> At least for the meantime, it's probably preferable to maintain
> consistency; we can always change it later.

Fedora Core 9 apparently lacks <stropts.h>, and of course changing
HAVE_SVR4_PTYS does them no good. So it sounds like we need to go with
the "right" fix for this (explicit check for headers) after all.

- --
Micah J. Cowan
Programmer, musician, typesetting enthusiast, gamer.
GNU Maintainer: wget, screen, teseq
http://micah.cowan.name/

_______________________________________________
screen-users mailing list
[email-masked]
http://lists.gnu.org/mailman/listinfo/screen-users